通过 Homebrew 在 MacOS 上使用 asdf 安装 ruby

我最近想在 MacOS Big Sur 11.5 Beta 上安装不同版本的 ruby​​ 和 Rails。我通过 Homebrew 安装了 asdf。我想运行 rails server 但收到消息:

No preset version installed for command ruby
Please install a version by running one of the following:

asdf install ruby 3.0.2

or add one of the following versions in your config file at /Users/philippkorn/.tool-versions
ruby 3.0.1

当我尝试运行任何 asdf install ruby​​ 命令(即 asdf install ruby latest )时,我收到以下错误消息:

~ $ asdf install ruby latest                                                                                                                                                            (base)
Version not found

我尝试使用自制软件重新安装 asdf 但错误仍然存​​在...

stack overflow Install ruby with asdf on MacOS via Homebrew
原文答案
author avatar

接受的答案

我面临同样的情况。好像很快就修好了。

https://github.com/asdf-vm/asdf-ruby/issues/239

编辑 ~/.asdf/plugins/ruby/bin/install 并应用 this patch 然后问题就解决了。

-  if [[ -n "$matching_version" ]]; then
+  if [[ -z "$matching_version" ]]; then

答案: